# easysurv 2.0.1

* Removed wrapping of examples in `if(FALSE){}`. In write_to_xl.Rd,
we now use `\dontrun{}` to prevent an Excel file from being created, saved and 
launched.
* Updated the Description field in DESCRIPTION, correcting the erroneous 
reference to 'flexsurvspline' as a package; it is a function. The same error was 
addressed in the README file and in `fit_models()` documentation.
* Removed dependency on the `fs` package. `fs::path_package()` was replaced with
`system.file()`.
* Wrapped external functions in square brackets in `roxygen2` documentation to
support auto-linking to external documentation.

# easysurv 2.0.0

## Major changes

* Transitioned to a `tidymodels` framework for survival analysis. Several updates were required to reflect this change including to function names, arguments, supporting documentation, and templates.
    * The `tidymodels` framework is a collection of R packages for modeling and machine learning using `tidyverse` principles. From the `tidymodels` framework, we take advantage of the `parsnip` and `censored` packages to specify models and predict survival outputs.
    * The `parsnip` package provides an interface to many different modeling packages, allowing for a consistent syntax for fitting models and making predictions. 
    * The `censored` package is a `parsnip` extension that provides engines for various models to handle censored data in survival analysis.
* New functions!
    * `inspect_surv_data()` allows quick inspection of survival data. 
    * `get_km()` replaces `quick_KM()` as the function to fit Kaplan-Meier curves.
    * `test_ph()` replaces `quick_PH()` as the function to test the proportional hazards assumption.
    * `fit_models()` allows for additional covariates to be specified in model fitting.
    * `predict_and_plot()` separates the generation of predictions and associated plots from the main model fitting function.

## Other improvements and bug fixes

* No longer requires any additional font installation.
* Introduced print methods with the `cli` package for key functions to simplify and summarise outputs.
* Changed primary plotting package from `ggsurvplot` to `ggsurvfit`. `ggsurvplot` generates warning messages when median survival lines are added and generates misaligned risk tables as of `ggplot2` version 3.5.0, while `ggsurvfit` is being actively maintained.
* To facilitate interpretation of Schoenfeld residual plots, scaled Schoenfeld residuals are now used, and facets are no longer produced per strata. 
* `plot()` run on the output of `fit_models()` acts as a call to `predict_and_plot()`, generating predictions and plots for the specified model.


# easysurv 1.1.0

-   `plot_fits()` now uses flexsurv to generate survival predictions in plots, which matches the prediction method in `predict_fits()`. The original prediction method (via survHE) can be used instead by setting the new argument `plot_predictions = "survHE"` for `plot_fits()` and any functions that use `plot_fits()` (e.g., `quick_fit_select()`, `quick_fit()`).
-   `predict_fits()` now outputs a list object that includes 95% confidence intervals for the predicted survival probabilities. CIs can be excluded by setting `include_ci = FALSE`. The `include_ci` argument is available for all functions that use `predict_fits()` or objects generated by `predict_fits()` (e.g., `quick_fit_select()`, `quick_fit()`).
-   A dependency on the `cli` package has been added to support aesthetic and informative warning messages, such as in the `quick_to_XL()` function.

# easysurv 1.0.0

-   Initial GitHub release.
